# $Revision: 1.23.2.2 $, $Date: 2003/04/28 12:51:51 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	Fortran
Summary:	Math::Fortran perl module
Summary(pl):	Modu perla Math::Fortran
Name:		perl-Math-Fortran
Version:	0.01
Release:	9
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-man.patch
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Fortran - Perl implimentations of Fortrans sign and log10.

%description -l pl
Math::Fortran dostarcza dwch funkcji pochodzcych z Fortrana: sign i
log10.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p0

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitelib}/Math/Fortran.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Math-Fortran.spec,v $
Revision 1.23.2.2  2003/04/28 12:51:51  ankry
- really rel++

Revision 1.23.2.1  2003/03/13 00:58:04  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.23  2003/02/25 00:40:17  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:36:38  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/11/26 00:14:18  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.20  2002/07/10 08:48:00  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:32:54  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:18:16  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:28:54  depesz
adapterized

Revision 1.14  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:12:40  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/19 00:15:15  kloczek
- spec adapterized,
- do not include .packlist.

Revision 1.9  2001/01/13 00:34:37  dobrek
-Req perl >=5.6; Realase=4

Revision 1.8  2001/01/13 00:18:51  dobrek
-Aded not so new rpm automat.

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:56  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:12:36  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
